<!DOCTYPE html>
<!--<html manifest="snake.appcache">-->
<head>
<!--

JavaScript Snake
By Patrick Gillespie
http://patorjk.com/games/snake

Source code is available here: https://github.com/patorjk/JavaScript-Snake

-->
    <meta charset="utf-8">
    <title>JavaScript Snake</title>

    <link rel=stylesheet id="style" type="text/css" href="./css/main-snake.css" />

    <style>
      .snake-toolbar {
        position: absolute;
        top: 0;
        left: 0;
        z-index:10000;
        padding: 5px;
      }
    </style>

<script>
function getTheme () {
    function changeTheme (Theme) {
        document.getElementById('style').setAttribute('href', Theme);
    }
    var index = document.getElementById("select").selectedIndex;
    switch (index) {
        case 0:
          changeTheme('css/light-snake.css?' + Math.random());
          break;
        case 1:
          changeTheme('css/main-snake.css?' + Math.random());
          break;
        case 2:
          changeTheme('css/dark-snake.css?' + Math.random());
          break;
        default:
          changeTheme('css/main-snake.css?' + Math.random());
          break;
    }
    setTimeout(function() {
        document.getElementById('game-area').focus();
    }, 10);
}
</script>
</head>
<body>
    <div class="snake-toolbar">
      <div style="display:inline-block;margin-right:10px;">
        <span>Theme:</span>
        <select onchange="getTheme()" id="select">
            <option>Light Theme</option>
            <option selected>Main Theme</option>
            <option>Dark Theme</option>
        </select>
      </div>
      <div id="modeChooser" style="display:inline-block;margin-right:10px;">
        <span>Mode:</span>
        <select id="selectMode">
            <option value="200">Very Easy</option>
            <option value="100">Easy</option>
            <option value="75" selected>Medium</option>
            <option value="50">Hard</option>
            <option value="25">Very Hard</option>
            <option value="12">Impossible</option>
        </select>
        <span id="modeDisplay" style="display:none">Medium</span>
      </div>
      <div id="aiToggle" style="display:inline-block;margin-right:10px;">
        <span>AI Toggle:</span>
        <select id="selectAI">
            <option value="0" selected>AI Off</option>
            <option value="1">AI On</option>
        </select>
      </div>
      <div style="display:inline-block;margin-right:10px;">
        <button id="high-score">Your High Score on Current Difficulty</button>
      </div>
      <div style="display:inline-block;margin-right:10px;">
        <button id="high-score-total">Your High Score Across All Difficulties</button>
      </div>
    </div>

    <!--
      <h2>Select which mode you would like to play in.</h2>
      <button id="Easy">Easy</button><br />
      <button id="Medium">Medium</button><br />
      <button id="Difficult">Difficult</button>

<button id="high-score">Get your current high score for this game.</button>
-->
    <div id="mode-wrapper" style="display: inline; width: auto;">
    </div>

    <div id="game-area" tabindex="0">
    </div>
    <script type="text/javascript" src="./js/snake.js"></script>
    <script type="text/javascript">

		var mySnakeBoard = new SNAKE.Board(  {
		    boardContainer: "game-area",
		    fullScreen: true
		});
//        var snakeBoard1 = new SNAKE.Board( {
//            boardContainer: "game-area",
//            fullScreen: false,
//            width: 600,
//            height: 400,
//            left: 0,
//            top: 0
//        });
//        var snakeBoard2 = new SNAKE.Board( {
//            boardContainer: "game-area",
//            fullScreen: false,
//            width: 600,
//            height: 400,
//            //left: 700,
//            //top: 500
//        });

    </script>
</body>
</html>
